Package Details: mali-midgard-dkms r28p0-1

Git Clone URL: https://aur.archlinux.org/mali-midgard-dkms.git (read-only, click to copy)
Package Base: mali-midgard-dkms
Description: Mali Midgard Kernel Module for mainline linux
Upstream URL: https://github.com/LibreELEC/mali-midgard
Licenses: GPLv2
Conflicts: dkms-mali
Provides: dkms-mali
Submitter: rubenvb
Maintainer: rubenvb
Last Packager: rubenvb
Votes: 1
Popularity: 0.001041
First Submitted: 2020-05-01 13:33
Last Updated: 2020-05-01 13:33

Latest Comments

EndlessEden commented on 2021-02-06 07:58

Ive created a fork with 5.8.x+ Compatibility patches from two sub-forks; upstream will add patches eventually but their target is still 5.4.x.

NOTE: 0001-add-mm_trace_rss_stat-stub.patch is incompatible with 5.8.x+

https://github.com/EndlessEden/mali-midgard#branch=TX011-SW-99002-r28p0-01rel0

EndlessEden commented on 2021-01-03 10:28

needs a patch to remap mmap_sem to mmap_lock in 5.8+ kernels. (https://github.com/LibreELEC/mali-midgard/search?q=mmap_sem) | (example: https://www.virtualbox.org/attachment/ticket/19644/fixes_for_mm_struct.patch)